gitit
Wiki engine backed by a git or darcs filestore

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/gitit

general

source
gitit (source, web)
version
0.12.2.1+dfsg-6
maint
Debian Haskell Group (a), Giovanni Mascellani (u), Clint Adams (u), Louis Bettens (u), Anthony Towns (u), Dmitry Bogatov (u)
arch
any all
std-ver
4.1.4
VCS
Git (browse)

todo

  • Lintian reports 1 error and 6 warnings about this package. You should make the package lintian clean getting rid of them.
  • The package should be updated to follow the last version of Debian Policy (Standards-Version 4.2.1 instead of 4.1.4).
  • A new upstream version is available: 0.12.3, you should consider packaging it.
  • This package has "Build-Depends: docbook-xsl" while docbook-xsl needs a new maintainer, see O #802370.

problems

  • The package has not yet entered testing even though the 37-day delay is over. Check why.

testing migration

excuses:
  • Migration status: BLOCKED: Rejected/introduces a regression
  • 69 days old (needed 37 days)
  • missing build on amd64: gitit, libghc-gitit-dev, libghc-gitit-prof (from 0.12.2.1+dfsg-2)
  • missing build on i386: gitit, libghc-gitit-dev, libghc-gitit-prof (from 0.12.2.1+dfsg-2)
  • missing build on arm64: gitit, libghc-gitit-dev, libghc-gitit-prof (from 0.12.2.1+dfsg-2)
  • missing build on armel: gitit, libghc-gitit-dev, libghc-gitit-prof (from 0.12.2.1+dfsg-2)
  • missing build on armhf: gitit, libghc-gitit-dev, libghc-gitit-prof (from 0.12.2.1+dfsg-2)
  • missing build on mips: gitit, libghc-gitit-dev, libghc-gitit-prof (from 0.12.2.1+dfsg-2)
  • missing build on mips64el: gitit, libghc-gitit-dev, libghc-gitit-prof (from 0.12.2.1+dfsg-2)
  • missing build on mipsel: gitit, libghc-gitit-dev, libghc-gitit-prof (from 0.12.2.1+dfsg-2)
  • missing build on ppc64el: gitit, libghc-gitit-dev, libghc-gitit-prof (from 0.12.2.1+dfsg-2)
  • missing build on s390x: gitit, libghc-gitit-dev, libghc-gitit-prof (from 0.12.2.1+dfsg-2)
  • missing build on all: libghc-gitit-data, libghc-gitit-doc (from 0.12.2.1+dfsg-2)
  • Updating gitit introduces new bugs: #900302.
  • Waiting for piuparts test results (stalls migration) - https://piuparts.debian.org/sid/source/g/gitit.html
  • arch:all not built yet, autopkgtest delayed
  • Required age increased by 32 days because of autopkgtest
  • gitit unsatisfiable Build-Depends(-Arch) on amd64: libghc-aeson-dev (<< 1.2)
  • gitit unsatisfiable Build-Depends(-Arch) on amd64: libghc-feed-dev (<< 0.4)
  • gitit unsatisfiable Build-Depends(-Arch) on amd64: libghc-happstack-server-dev (<< 7.5)
  • gitit unsatisfiable Build-Depends(-Arch) on amd64: libghc-hoauth2-dev (<< 1.6)
  • gitit unsatisfiable Build-Depends(-Arch) on amd64: libghc-http-conduit-dev (<< 2.3)
  • gitit unsatisfiable Build-Depends(-Arch) on amd64: libghc-pandoc-dev (<< 1.20)
  • gitit unsatisfiable Build-Depends(-Arch) on i386: libghc-aeson-dev (<< 1.2)
  • gitit unsatisfiable Build-Depends(-Arch) on i386: libghc-feed-dev (<< 0.4)
  • gitit unsatisfiable Build-Depends(-Arch) on i386: libghc-happstack-server-dev (<< 7.5)
  • gitit unsatisfiable Build-Depends(-Arch) on i386: libghc-hoauth2-dev (<< 1.6)
  • gitit unsatisfiable Build-Depends(-Arch) on i386: libghc-http-conduit-dev (<< 2.3)
  • gitit unsatisfiable Build-Depends(-Arch) on i386: libghc-pandoc-dev (<< 1.20)
  • gitit unsatisfiable Build-Depends(-Arch) on arm64: libghc-aeson-dev (<< 1.2)
  • gitit unsatisfiable Build-Depends(-Arch) on arm64: libghc-feed-dev (<< 0.4)
  • gitit unsatisfiable Build-Depends(-Arch) on arm64: libghc-happstack-server-dev (<< 7.5)
  • gitit unsatisfiable Build-Depends(-Arch) on arm64: libghc-hoauth2-dev (<< 1.6)
  • gitit unsatisfiable Build-Depends(-Arch) on arm64: libghc-http-conduit-dev (<< 2.3)
  • gitit unsatisfiable Build-Depends(-Arch) on arm64: libghc-pandoc-dev (<< 1.20)
  • gitit unsatisfiable Build-Depends(-Arch) on armel: libghc-aeson-dev (<< 1.2)
  • gitit unsatisfiable Build-Depends(-Arch) on armel: libghc-feed-dev (<< 0.4)
  • gitit unsatisfiable Build-Depends(-Arch) on armel: libghc-happstack-server-dev (<< 7.5)
  • gitit unsatisfiable Build-Depends(-Arch) on armel: libghc-hoauth2-dev (<< 1.6)
  • gitit unsatisfiable Build-Depends(-Arch) on armel: libghc-http-conduit-dev (<< 2.3)
  • gitit unsatisfiable Build-Depends(-Arch) on armel: libghc-pandoc-dev (<< 1.20)
  • gitit unsatisfiable Build-Depends(-Arch) on armhf: libghc-aeson-dev (<< 1.2)
  • gitit unsatisfiable Build-Depends(-Arch) on armhf: libghc-feed-dev (<< 0.4)
  • gitit unsatisfiable Build-Depends(-Arch) on armhf: libghc-happstack-server-dev (<< 7.5)
  • gitit unsatisfiable Build-Depends(-Arch) on armhf: libghc-hoauth2-dev (<< 1.6)
  • gitit unsatisfiable Build-Depends(-Arch) on armhf: libghc-http-conduit-dev (<< 2.3)
  • gitit unsatisfiable Build-Depends(-Arch) on armhf: libghc-pandoc-dev (<< 1.20)
  • gitit unsatisfiable Build-Depends(-Arch) on mips: libghc-aeson-dev (<< 1.2)
  • gitit unsatisfiable Build-Depends(-Arch) on mips: libghc-feed-dev (<< 0.4)
  • gitit unsatisfiable Build-Depends(-Arch) on mips: libghc-happstack-server-dev (<< 7.5)
  • gitit unsatisfiable Build-Depends(-Arch) on mips: libghc-hoauth2-dev (<< 1.6)
  • gitit unsatisfiable Build-Depends(-Arch) on mips: libghc-http-conduit-dev (<< 2.3)
  • gitit unsatisfiable Build-Depends(-Arch) on mips: libghc-pandoc-dev (<< 1.20)
  • gitit unsatisfiable Build-Depends(-Arch) on mips64el: libghc-aeson-dev (<< 1.2)
  • gitit unsatisfiable Build-Depends(-Arch) on mips64el: libghc-feed-dev (<< 0.4)
  • gitit unsatisfiable Build-Depends(-Arch) on mips64el: libghc-happstack-server-dev (<< 7.5)
  • gitit unsatisfiable Build-Depends(-Arch) on mips64el: libghc-hoauth2-dev (<< 1.6)
  • gitit unsatisfiable Build-Depends(-Arch) on mips64el: libghc-http-conduit-dev (<< 2.3)
  • gitit unsatisfiable Build-Depends(-Arch) on mips64el: libghc-pandoc-dev (<< 1.20)
  • gitit unsatisfiable Build-Depends(-Arch) on mipsel: libghc-aeson-dev (<< 1.2)
  • gitit unsatisfiable Build-Depends(-Arch) on mipsel: libghc-feed-dev (<< 0.4)
  • gitit unsatisfiable Build-Depends(-Arch) on mipsel: libghc-happstack-server-dev (<< 7.5)
  • gitit unsatisfiable Build-Depends(-Arch) on mipsel: libghc-hoauth2-dev (<< 1.6)
  • gitit unsatisfiable Build-Depends(-Arch) on mipsel: libghc-http-conduit-dev (<< 2.3)
  • gitit unsatisfiable Build-Depends(-Arch) on mipsel: libghc-pandoc-dev (<< 1.20)
  • gitit unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-aeson-dev (<< 1.2)
  • gitit unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-feed-dev (<< 0.4)
  • gitit unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-happstack-server-dev (<< 7.5)
  • gitit unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-hoauth2-dev (<< 1.6)
  • gitit unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-http-conduit-dev (<< 2.3)
  • gitit unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-pandoc-dev (<< 1.20)
  • gitit unsatisfiable Build-Depends(-Arch) on s390x: libghc-aeson-dev (<< 1.2)
  • gitit unsatisfiable Build-Depends(-Arch) on s390x: libghc-feed-dev (<< 0.4)
  • gitit unsatisfiable Build-Depends(-Arch) on s390x: libghc-happstack-server-dev (<< 7.5)
  • gitit unsatisfiable Build-Depends(-Arch) on s390x: libghc-hoauth2-dev (<< 1.6)
  • gitit unsatisfiable Build-Depends(-Arch) on s390x: libghc-http-conduit-dev (<< 2.3)
  • gitit unsatisfiable Build-Depends(-Arch) on s390x: libghc-pandoc-dev (<< 1.20)

news RSS

bugs

all bug history graph
3
RC
1
I&N
1
M&W
1
F&P
0